Page MenuHomePhabricator

[compiler-rt] [Sanitizer Coverage] Add new sanitizer coverage functions to the internal interface.
ClosedPublic

Authored by mpividori on Jan 12 2017, 12:12 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

mpividori updated this revision to Diff 84078.Jan 12 2017, 12:12 AM
mpividori retitled this revision from to [compiler-rt] [Sanitizer Coverage] Add new sanitizer coverage functions to the internal interface..
mpividori updated this object.
mpividori added reviewers: kcc, rnk, aizatsky, zturner.
mpividori set the repository for this revision to rL LLVM.
mpividori added a subscriber: llvm-commits.
mpividori updated this revision to Diff 84764.Jan 17 2017, 4:06 PM
mpividori updated this revision to Diff 85422.Jan 23 2017, 10:33 AM
mpividori updated this revision to Diff 85806.Jan 25 2017, 2:08 PM

@kcc would you agree with these changes.

kcc accepted this revision.Jan 30 2017, 5:16 PM

LGTM
Sounds reasonable. But a question is whether we have a test that will break if we forget to add another function here (when we add one)?

This revision is now accepted and ready to land.Jan 30 2017, 5:16 PM
This revision was automatically updated to reflect the committed changes.

@kcc I think we should add tests to check that the interface include in "compiler-rt/include" directory matches the exported interface. That way, we ensure that we provide an appropriate header to users.